[alpine-aports] [PATCH] testing/opensmtpd: change libexecdir and fix mantype

Sören Tempel
Details
Message ID
<1443037884-24441-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1443037884
DKIM signature
missing
Download raw message
Patch: +4 -2
mantype has to be set to doc in order to use mdoc macros and libexecdir
is set to /usr/lib/$pkgname for most packages.
---
 testing/opensmtpd/APKBUILD | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/testing/opensmtpd/APKBUILD b/testing/opensmtpd/APKBUILD
index 3395850..2a9e72c 100644
--- a/testing/opensmtpd/APKBUILD
+++ b/testing/opensmtpd/APKBUILD
@@ -1,8 +1,9 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
 # Contributor: Jonathan Curran <jonathan@curran.in>
 # Maintainer: Jonathan Curran <jonathan@curran.in>
 pkgname=opensmtpd
 pkgver=5.7.1p1
-pkgrel=1
+pkgrel=2
 pkgdesc="secure, reliable, lean, and easy-to configure SMTP server"
 url="http://www.opensmtpd.org"
 arch="x86_64"
@@ -48,7 +49,8 @@ build() {
 		--with-pie \
 		--with-Werror \
 		--mandir=/usr/share/man \
-		--with-mantype=man || return 1
+		--libexecdir=/usr/lib/smtpd \
+		--with-mantype=doc || return 1
         make || return 1
 }
 
-- 
2.5.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---